<?php

namespace EPIC\GALLERY\Customizer;

use Jeg\Customizer\Customizer;

/**
 * Class Options
 * @package EPIC\GALLERY\Customizer
 */
class Options {

	/**
	 * @var Options
	 */
	private static $instance;

	/**
	 * @return Options
	 */
	public static function getInstance() {
		if ( static::$instance === null ) {
			static::$instance = new static();
		}

		return static::$instance;
	}

	/**
	 * Options constructor.
	 */
	private function __construct() {
		add_action( 'jeg_register_customizer_option', [ $this, 'register_lazy_section' ], 91 );
		add_filter( 'jeg_register_lazy_section', [ $this, 'load_customizer' ] );
	}

	/**
	 * Register Lazy Customizer
	 */
	public function register_lazy_section() {

		$customizer = Customizer::get_instance();

		$customizer->add_section( [
			'id'       => 'epic_gallery_section',
			'title'    => esc_html__( 'EPIC: Gallery Setting', 'epic-gallery' ),
			'panel'    => '',
			'priority' => 250,
			'type'     => 'jeg-lazy-section',
		] );
	}

	/**
	 * Load Customizer
	 *
	 * @param array $result Array list of section.
	 *
	 * @return mixed
	 */
	public function load_customizer( $result ) {
		$result['epic_gallery_section'][]     = EPIC_GALLERY_CLASSPATH . 'Customizer/options/gallery-options.php';

		return $result;
	}

}