<?php

$options = [];

$options[] = [
	'id'          => 'epic_gallery_preview_slider_alert',
	'type'        => 'jeg-alert',
	'default'     => 'info',
	'section'     => 'epic_gallery_preview_slider_section',
	'label'       => esc_html__( 'Gallery Info', 'epic-gallery' ),
	'description' => esc_html__( 'This gallery option setting is a global setting. Its mean, when you change this setting, all of your gallery setting will follow this setting. But you can override each of this setting on your single gallery.', 'epic-gallery' )
];

/**
 * Global Gallery option
 */
$options[] = [
	'id'      => 'epic_gallery_preview_slider_header',
	'type'    => 'jeg-header',
	'section' => 'epic_gallery_preview_slider_section',
	'label'   => esc_html__( 'Gallery Default Option', 'epic-gallery' ),
];

$options[] = [
	'id'          => 'gallery_option[preview_slider_toggle]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => false,
	'type'        => 'jeg-toggle',
	'section'     => 'epic_gallery_preview_slider_section',
	'label'       => esc_html__( 'Turn All Gallery to Epic Gallery', 'epic-gallery' ),
	'description' => wp_kses( __( 'Enabling this option will turn all default slider into <strong>Epic Gallery</strong>.', 'epic-gallery' ), wp_kses_allowed_html() ),
];

$options[] = [
	'id'              => 'gallery_option[preview_slider_desc]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => false,
	'type'            => 'jeg-toggle',
	'section'         => 'epic_gallery_preview_slider_section',
	'label'           => esc_html__( 'Use Slider Zoom with Description', 'epic-gallery' ),
	'description'     => wp_kses( __( 'Enabling this option will turn your <strong>Epic Gallery</strong> to have description when zoomed.', 'epic-gallery' ), wp_kses_allowed_html() ),
	'active_callback' => [
		[
			'setting'  => 'gallery_option[preview_slider_toggle]',
			'operator' => '==',
			'value'    => true
		]
	],
];

$options[] = [
	'id'          => 'gallery_option[preview_slider_ads]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => false,
	'type'        => 'jeg-toggle',
	'section'     => 'epic_gallery_preview_slider_section',
	'label'       => esc_html__( 'Show Ads Wrapper', 'epic-gallery' ),
	'description' => wp_kses( __( 'Enabling this option will turn your <strong>Epic Gallery</strong> to have ads section when zoomed.', 'epic-gallery' ), wp_kses_allowed_html() ),

	'active_callback' => [
		[
			'setting'  => 'gallery_option[preview_slider_toggle]',
			'operator' => '==',
			'value'    => true
		]
	],
];

$options[] = [
	'id'          => 'gallery_option[preview_slider_loader]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'dot',
	'type'        => 'jeg-select',
	'section'     => 'epic_gallery_preview_slider_section',
	'label'       => esc_html__( 'Preview Slider Loader Style', 'epic-gallery' ),
	'description' => esc_html__( 'Choose loader style that you want to use for gallery.', 'epic-gallery' ),
	'choices'     => [
		'dot'    => esc_html__( 'Dot', 'epic-gallery' ),
		'circle' => esc_html__( 'Circle', 'epic-gallery' ),
		'square' => esc_html__( 'Square', 'epic-gallery' ),
	],
	'output'      => [
		[
			'method'   => 'class-masking',
			'element'  => '.preview-slider-overlay .preloader_type',
			'property' => [
				'dot'    => 'preloader_dot',
				'circle' => 'preloader_circle',
				'square' => 'preloader_square',
			],
		],
	]
];

$options[] = [
	'id'          => 'gallery_option[slider_scheme]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'dark',
	'type'        => 'jeg-select',
	'section'     => 'epic_gallery_preview_slider_section',
	'label'       => esc_html__( 'Slider Scheme Style', 'epic-gallery' ),
	'description' => esc_html__( 'Choose slider scheme style that you want to use for the gallery.', 'epic-gallery' ),
	'choices'     => [
		'dark'  => esc_html__( 'Dark', 'epic-gallery' ),
		'light' => esc_html__( 'Light', 'epic-gallery' ),
	]
];


/*
 * Image Popup
 */
$options[] = [
	'id'      => 'epic_gallery_popup_script_header',
	'type'    => 'jeg-header',
	'section' => 'epic_gallery_popup_script_header',
	'label'   => esc_html__( 'Image Popup', 'epic-gallery' ),
];

$options[] = [
	'id'          => 'gallery_option[single_popup_script]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'magnific',
	'type'        => 'jeg-select',
	'section'     => 'epic_gallery_popup_script_header',
	'label'       => esc_html__( 'Image Popup Script', 'epic-gallery' ),
	'description' => wp_kses( __( 'This option will enable your image popup on Gallery Thumbnail, Single image, and WordPress default gallery.
            <ol>
                <li><strong>Photoswipe :</strong> Zoomable, ability to go fullscreen, button for share on social network.</li>
                <li><strong>Magnific :</strong> Simple Option, option to turn all single image into one gallery.</li>
            </ol>', 'epic-gallery' ), wp_kses_allowed_html() ),
	'choices'     => [
		'disable'    => esc_attr__( 'Disabled', 'epic-gallery' ),
		'photoswipe' => esc_attr__( 'Photoswipe', 'epic-gallery' ),
		'magnific'   => esc_attr__( 'Magnific Popup', 'epic-gallery' ),
	]
];

return $options;