<?php

namespace EPIC\GALLERY\Elements\Options;


class Post_Gallery_Option extends GalleryOptionAbstract {

	/**
	 * @var int
	 */
	protected $number_post = 3;

	/**
	 * Get Module Name
	 *
	 * @return string
	 */
	public function get_element_name(){
		return esc_html__( 'EPIC Gallery - Post Gallery', 'epic-gallery' );
	}

	/**
	 * Set Option
	 */
	public function set_options(){
		$this->set_element_option();
		$this->set_content_filter_option( $this->number_post );
		foreach ( $this->options as $idx => $options ) {
			if ( $idx === 'post_type' ) {
				unset( $this->options[ $idx ] );
			}
			if ( $idx === 'include_category' || $idx === 'exclude_category' || $idx === 'include_tag' || $idx === 'exclude_tag' ){
				if ( isset( $options['dependency'] ) ){
					unset ( $this->options[ $idx ]['dependency'] );
				}
			}
		}
	}

	public function set_segments() {
		$this->set_general_segment();
		$this->set_content_filter_segment();
	}

	/**
	 * Set content filter segment
	 */
	public function set_content_filter_segment() {
		$this->segments['content-filter'] = [
			'name'     => esc_html__( 'Content Filter', 'jeg-element' ),
			'priority' => 10,
		];
	}
}