<?php

namespace EPIC\GALLERY\Elements\Views;

class Image_Gallery_View extends GalleryViewAbstract {
	public function render_element( $attr, $column_class ) {
		$content = $this->content( $attr );

		return $this->render_gallery( $content, $attr );
	}


	public function content( $attr ) {
		$zoom_script = $attr['preview_slider_desc'] ? true : false;
		$output      = $args['include'] = $args['orderby'] = [];
		$args        = [
			'include'        => [ '-10' ],
			'post_type'      => 'attachment',
			'post_mime_type' => 'image',
			'post_status'    => 'inherit',
			'order'          => 'ASC',
			'orderby'        => ''
		];
		if ( ! empty( $attr['image_gallery'] ) ) {
			if ( is_array( $attr['image_gallery'] ) ) {
				$image_gallery = [];
				foreach ( $attr['image_gallery'] as $key => $image_detail ) {
					if ( is_array ( $image_detail ) ) {
						$image_gallery[] = $image_detail['id'];
					} else {
						$image_gallery[] = $image_detail;
					}
				}
				$args['include'] = implode( ',', $image_gallery );
			} else {
				$args['include'] = $attr['image_gallery'];
			}
			// 'ids' is explicitly ordered, unless you specify otherwise.
			if ( empty( $args['orderby'] ) ) {
				$args['orderby'] = 'post__in';
			}
		}

		$attachments                           = get_posts( $args );
		$output['preview_description_content'] = $output['image_slides'] = '';
		$output['image_sequence']              = [];
		$sequence                              = 0;
		$output['slider_size']                 = sizeof( $attachments );
		foreach ( $attachments as $id => $attachment ) {
			$image_big    = wp_get_attachment_image_src( $attachment->ID, 'full' );
			$first_active = ( $sequence === 0 ) ? 'active' : '';

			$output['image_slides'] .=
				"<a data-id=\"{$sequence}\" data-title=\"{$attachment->post_excerpt}\" data-image=\"{$image_big[0]}\" href=\"{$image_big[0]}\" class=\"jeg_preview_item {$first_active}\">
                        <div class=\"jeg_preview_item_thumbnail\">
                            " . wp_get_attachment_image( $attachment->ID, 'jeg-120x86' ) . "
                        </div>
                    </a>";

			$sequence ++;

			if ( $zoom_script ) {
				$output['preview_description_content'] .=
					"<div class=\"jeg_hidden_preview_description\">
                            <h3>" . ( ! empty($attachment->post_excerpt) ? "{$sequence}. {$attachment->post_excerpt}" : " " ) . "</h3>
                            <div class=\"jeg_preview_description_content\">
                                " . wpautop( $attachment->post_content ) . "
                            </div>
                        </div>";
			} else {
				$output['image_sequence'][] = [
					'src'   => $image_big[0],
					'w'     => $image_big[1],
					'h'     => $image_big[2],
					'title' => $attachment->post_excerpt
				];
			}
		}

		return $output;
	}
}