<?php

namespace EPIC\GALLERY\Elements\Views;

class Post_Gallery_View extends GalleryViewAbstract {
	public function render_element( $attr, $column_class ) {
		$results = $this->build_query( $attr );
		$content = $this->content( $results, $attr );

		return $this->render_gallery( $content, $attr );
	}

	protected function build_query( $attr ) {
		$attr['post_type'] = 'post';

		return parent::build_query( $attr ); // TODO: Change the autogenerated stub
	}


	public function content( $results, $attr ) {
		$zoom_script                           = $attr['preview_slider_desc'] ? true : false;
		$output                                = $args['include'] = $args['orderby'] = [];
		$output['preview_description_content'] = $output['image_slides'] = '';
		$output['image_sequence']              = [];
		$sequence                              = 0;
		$output['slider_size']                 = sizeof( $results['result'] );
		foreach ( $results['result'] as $key => $post ) {
			$image_id               = get_post_thumbnail_id( $post->ID );
			$image_big              = wp_get_attachment_image_src( $image_id, 'full' );
			$first_active           = ( $sequence === 0 ) ? 'active' : '';
			$output['image_slides'] .=
				"<a data-id=\"{$sequence}\" data-title=\"{$post->post_title}\" data-image=\"{$image_big[0]}\" href=\"{$image_big[0]}\" class=\"jeg_preview_item {$first_active}\">
                        <div class=\"jeg_preview_item_thumbnail\">
                            " . wp_get_attachment_image( $image_id, 'jeg-120x86' ) . "
                        </div>
                    </a>";
			$sequence ++;
			if ( $zoom_script ) {
				$post_content = $post->post_content;
				preg_match_all( '@\[([^<>&/\[\]\x00-\x20=]++)@', $post_content, $matches );
				$tagnames = array_intersect( [ 'gallery', 'eg_image_gallery', 'eg_post_gallery' ], $matches[1] );
				if ( ! empty( $tagnames ) ) {
					$pattern      = get_shortcode_regex( $tagnames );
					$post_content = preg_replace_callback( "/$pattern/", 'strip_shortcode_tag', $post_content );
				}
				$output['preview_description_content'] .=
					"<div class=\"jeg_hidden_preview_description\">
                            <h3>{$sequence}. {$post->post_title}</h3>
                            <div class=\"jeg_preview_description_content\">
                                " . wpautop( do_shortcode( $post_content ) ) . "
                            </div>
                        </div>";
			} else {
				$output['image_sequence'][] = [
					'src'   => $image_big[0],
					'w'     => $image_big[1],
					'h'     => $image_big[2],
					'title' => $post->post_excerpt
				];
			}
		}

		return $output;
	}
}