<?php

namespace EPIC\GALLERY;

/**
 * Class Template
 * @package EPIC\GALLERY
 */
class Template {
	private $vars = [];
	private $templateDir;
	private $templatePostfix;

	/**
	 * Template constructor.
	 *
	 * @param string $directory
	 * @param string $postfix
	 */
	public function __construct( $directory = 'view/', $postfix = '.php' ) {
		$this->templateDir     = $directory;
		$this->templatePostfix = $postfix;
	}

	public function __get( $name ) {
		return $this->vars[ $name ];
	}

	public function __set( $name, $value ) {
		$this->vars[ $name ] = $value;
	}

	public function assign_array( $arr ) {
		foreach ( $arr as $key => $value ) {
			$this->vars[ $key ] = $value;
		}
	}

	public function clear_prev_data() {
		if ( ! empty( $this->vars ) ) {
			foreach ( $this->vars as $key => $val ) {
				$this->$key = null;
			}
		}
	}

	/**
	 * @param $templateName
	 * @param array $var
	 * @param bool $output
	 *
	 * @return false|string
	 */
	public function render( $templateName, $var = [], $output = false ) {
		$this->clear_prev_data();

		if ( ! empty( $var ) && is_array( $var ) ) {
			$this->assign_array( $var );
		}

		extract( $this->vars );
		if ( ! $output ) {
			ob_start();
		}
		include $this->templateDir . $templateName . $this->templatePostfix;
		if ( ! $output ) {
			return ob_get_clean();
		}
	}
}
